commit:     6b67d46781e66db4a07f4f33386fd6f28024ec70
Author:     Martin Dummer <martin.dummer <AT> gmx <DOT> net>
AuthorDate: Sun Feb 22 17:34:04 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 11 16:14:15 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b67d467

media-plugins/vdr-epgsearch: add 2.4.6

Signed-off-by: Martin Dummer <martin.dummer <AT> gmx.net>
Part-of: https://github.com/gentoo/gentoo/pull/45854
Closes: https://github.com/gentoo/gentoo/pull/45854
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-plugins/vdr-epgsearch/Manifest               |  1 +
 .../vdr-epgsearch/vdr-epgsearch-2.4.6.ebuild       | 87 ++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/media-plugins/vdr-epgsearch/Manifest 
b/media-plugins/vdr-epgsearch/Manifest
index 52d87fbe60f0..665231f095f2 100644
--- a/media-plugins/vdr-epgsearch/Manifest
+++ b/media-plugins/vdr-epgsearch/Manifest
@@ -1 +1,2 @@
 DIST vdr-epgsearch-2.4.5.tar.gz 513693 BLAKE2B 
3c820dd6b5269d37f3103d7e68404c4549c3906f309fe5d121ad9d936a95b40c6e80a138fdcae4e71002768a0e247e11b48df364b1ebd46b485ca1e2336357fc
 SHA512 
7e37c132417c20b13103cdbc4385a9247b82b1c2b62d2b66c13c593db3c313f8741003eb7bb461e9c5a7febd49e83ef3f90a8d3e021aeb08fee24f7747220a53
+DIST vdr-epgsearch-2.4.6.tar.gz 531119 BLAKE2B 
923997996ef2404eef9e988e58f76f0bc87d087fab708a62f75b264a4c44c2579d724f272520dac1dccf47a64fca2350cb44e5eb563f5d7a1e0ea4c29a285ea8
 SHA512 
1072dcef4cf82de31e35d55e9562c605913ce8a2073f1698cd6ab09db4c618da1ae8ea4f33b64942de7bb0d2af75eb8cc9f5e294f3b9662608609ec9e050a6f8

diff --git a/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.6.ebuild 
b/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.6.ebuild
new file mode 100644
index 000000000000..9cce842a2404
--- /dev/null
+++ b/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.6.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit vdr-plugin-2
+
+DESCRIPTION="VDR plugin: create timers from epg content based on saved search 
expressions"
+HOMEPAGE="https://github.com/vdr-projects/vdr-plugin-epgsearch";
+SRC_URI="https://github.com/vdr-projects/vdr-plugin-epgsearch/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}/vdr-plugin-epgsearch-${PV}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="conflictcheckonly epgsearchonly pcre quicksearch tre"
+REQUIRED_USE="?? ( pcre tre )"
+
+DEPEND="
+       >=media-video/vdr-2.4:=
+       pcre? ( dev-libs/libpcre )
+       tre? ( dev-libs/tre )"
+RDEPEND="${DEPEND}"
+BDEPEND="
+       acct-user/vdr
+       sys-apps/groff
+       dev-lang/perl"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-2.4.5_docsrc2man-no-gzip.patch"
+       "${FILESDIR}/${PN}-2.4.5-Makefile.patch"
+)
+
+QA_FLAGS_IGNORED="
+       usr/lib/vdr/plugins/libvdr-.*
+       usr/lib64/vdr/plugins/libvdr-.*
+       usr/bin/createcats"
+
+src_prepare() {
+       # remove untranslated .po files
+       rm 
"${S}"/po/{ca_ES,da_DK,el_GR,et_EE,hr_HR,hu_HU,nn_NO,pl_PL,pt_PT,ro_RO,ru_RU,sl_SI,sv_SE,tr_TR}.po
 \
+               || die "cannot remove untranslated .po files"
+
+       vdr-plugin-2_src_prepare
+
+       fix_vdr_libsi_include conflictcheck.c
+
+       # install conf-file disabled
+       sed -e '/^Menu/s:^:#:' -i conf/epgsearchmenu.conf || die "cannot modify 
epgsearchmenu.conf"
+}
+
+src_compile() {
+       BUILD_PARAMS="SENDMAIL=/usr/bin/sendmail AUTOCONFIG=0"
+       if use pcre; then
+               BUILD_PARAMS+=" REGEXLIB=pcre"
+               einfo "Using pcre for regexp searches"
+       fi
+       if use tre; then
+               BUILD_PARAMS+=" REGEXLIB=tre"
+               einfo "Using tre for unlimited fuzzy searches"
+       fi
+       if ! use conflictcheckonly; then
+               BUILD_PARAMS+=" WITHOUT_CONFLICTCHECKONLY=1"
+       fi
+       if ! use epgsearchonly; then
+               BUILD_PARAMS+=" WITHOUT_EPGSEARCHONLY=1"
+       fi
+       if ! use quicksearch; then
+               BUILD_PARAMS+=" WITHOUT_QUICKSEARCH=1"
+       fi
+
+       vdr-plugin-2_src_compile
+}
+
+src_install() {
+       local DOCS=( conf/*.templ HISTORY* README.Translators )
+       vdr-plugin-2_src_install
+
+       diropts -m 755 -o vdr -g vdr
+       insopts -m 644 -o vdr -g vdr
+       keepdir /etc/vdr/plugins/epgsearch
+       insinto /etc/vdr/plugins/epgsearch
+       doins conf/*
+
+       doman man/en/*
+       doman -i18n=de man/de/*
+}

Reply via email to